import { proxyCustomElement, HTMLElement } from '@stencil/core/internal/client';
import { t as translateInterval } from './price.js';

const ScFormatInterval$1 = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    /** The number to format. */
    this.value = 0;
    this.interval = '';
    this.every = '/';
    this.fallback = '';
  }
  render() {
    return translateInterval(this.value, this.interval, ` ${this.every}`, this.fallback);
  }
}, [0, "sc-format-interval", {
    "value": [2],
    "interval": [1],
    "every": [1],
    "fallback": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["sc-format-interval"];
  components.forEach(tagName => { switch (tagName) {
    case "sc-format-interval":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, ScFormatInterval$1);
      }
      break;
  } });
}
defineCustomElement$1();

const ScFormatInterval = ScFormatInterval$1;
const defineCustomElement = defineCustomElement$1;

export { ScFormatInterval, defineCustomElement };
